Viewing Issue Advanced Details Jump to Notes ] [ View Source: konamigq.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04595 Crash/Freeze Critical (emulator) Always 2012-01-09 00:53 2012-01-16 16:55
Tester hap View Status Public Platform
Assigned To Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved   Driver konamigq.c
Version 0.144u5 Fixed in Version 0.144u7 Build 64-bit
Summary 04595: cryptklr: Crashes MAME before it can display the disclaimer.
Description Crashes MAME before it can display the disclaimer.
It works ok on 32-bit.
Steps To Reproduce - mame64 cryptklr
- mame window appears, with the usual "Initializing", but crashes straight after without any messages
Additional Information
Flags 64-bit specific
Regression Version
Affected Sets / Systems cryptklr
Attached Files
 


-  Notes
User avatar (08019)
Tafoid (Administrator)
2012-01-09 00:55

Confirmed on 0.144u5, .info build, 64-bit
User avatar (08033)
hap (Developer)
2012-01-13 04:57

it broke at r14953 as was suspected
emu/machine/scsihd.c, hard_disk_get_info returns a bogus pointer because hard_disk_open was not called before
User avatar (08036)
hap (Developer)
2012-01-16 16:55

fixed by Curt Coder